function f = conta_cel(imagem, dil, roi)
I = imread(imagem);
figure, imshow(I), title('Imagem Original');
I = imcrop(I,roi);
I=rgb2gray(I);
threshold = graythresh(I);
BWs = im2bw(I,threshold);
figure, imshow(BWs), title('Limiar');
se90 = strel('line', dil, 90);
se0 = strel('line', dil, 0);
BWsdil = imdilate(BWs, [se90 se0]);
figure, imshow(BWsdil), title('Imagem Dilatada');
seD = strel('diamond',2);
BWfinal = imerode(BWsdil,seD);
BWfinal = imerode(BWfinal,seD);
figure, imshow(BWfinal), title('Imagem Segmentada');
BWfinal = not(BWfinal);
BW = BWfinal > 0;
L = bwlabel(BW);
figure, imshow(label2rgb(L)), title('C�lulas Classificadas');
s = regionprops(L, I, {'Centroid','WeightedCentroid'});
figure, imshow(I), title('Centro das C�lulas');
hold on
numObj = numel(s)
for k = 1 : numObj
    plot(s(k).WeightedCentroid(1), s(k).WeightedCentroid(2), 'r*');
end
hold off
f = numObj;
 